Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.i18n
Class LocaleGroup

    java.lang.Object
      org.apache.batik.i18n.LocaleGroup

public class LocaleGroup
extends java.lang.Object

This class represents a group of ExtendedLocalizable objects which have a shared default locale.

Field Summary
`static LocaleGroup` | `DEFAULT` The default group.
`protected java.util.Locale` | `locale` The shared Locale.

Constructor Summary
`LocaleGroup()`

Method Summary
`java.util.Locale` | `getLocale()` Gets the current default locale in this group, or null.
`void` | `setLocale(java.util.Locale l)` Sets the default locale for all the instances of ExtendedLocalizable in this group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final LocaleGroup DEFAULT

  The default group.

### locale

    protected java.util.Locale locale

  The shared Locale.

Constructor Detail

### LocaleGroup

    public LocaleGroup()

Method Detail

### setLocale

    public void setLocale(java.util.Locale l)

  Sets the default locale for all the instances of ExtendedLocalizable in this group.

### getLocale

    public java.util.Locale getLocale()

  Gets the current default locale in this group, or null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.